For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Get Shipment Timeline

||View as Markdown|
GET
/2026-01/shipment/:shipmentId/timeline
GET
/2026-01/shipment/:shipmentId/timeline
$curl https://api.shipbob.com/2026-01/shipment/shipmentId/timeline \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "log_type_id": 0,
4 "log_type_name": "string",
5 "log_type_text": "string",
6 "metadata": {
7 "property1": "string",
8 "property2": "string"
9 },
10 "timestamp": "2019-08-24T14:15:22Z"
11 }
12]
Retrieves a chronological timeline of shipment status updates by shipment ID, showing when each status change occurred and providing visibility into the fulfillment progress.
Was this page helpful?
Previous

Get Shipment

Next

Batch Cancel Shipments

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
log_type_idinteger
Log type id of the shipment
log_type_namestring or null
Name of the log type
log_type_textstring or null
Summary of log type meaning
metadatamap from strings to strings or null
Specifics data for the event
timestampdatetime
Timestamp of event

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error